function [M]=SIS(N,beta,g,eps,ii)
% Produce a matrix (Q transposed), a list of numbers susceptible, and a
% list of numbers infectious for SIS dynamics

if nargin < 4
    error('Incorrect number of arguments, SIS(N,i_range,R0,g,eps)');
end

mi=ii(1); Mi=ii(end);

II=mi:Mi;  II2=mi:(Mi-1);

li=1+Mi-mi;
SIZE=li;

From=zeros(3*SIZE-2,1); To=From; Rate=From;

From(1:SIZE)=1:SIZE; To(1:SIZE)=1:SIZE;  
Rate(1:SIZE)=-((N-II).*(beta*II+eps) +g*II);
            
q=SIZE-1;
From(SIZE+(1:q))=2:SIZE; 
To(SIZE+(1:q))=1:(SIZE-1);
Rate(SIZE+(1:q))=g*(1+II2);

q=SIZE-1;
From(2*SIZE+(1:q)-1)=1:(SIZE-1);
To(2*SIZE+(1:q)-1)=2:SIZE ;
Rate(2*SIZE+(1:q)-1)=(N-II2).*(beta*II2+eps);

M=sparse(To,From,Rate,li,li);







