% Script to produce supplementary figure on endemic state

clear

Nrange = 2:10;
beta_range = [0.5 1:10];
mu_range = [0, 1e-6, 1e-1, 1, 10, Inf];
alphabase = 1;
g = 1;

startI = 0.5;
mmax=50;

Istar = zeros(length(Nrange),length(beta_range),length(mu_range));

for ni = 1:length(Nrange)
    N = Nrange(ni);
    alpha = alphabase;
    for bi = 1:length(beta_range);
        beta = beta_range(bi);
        for mi = 1:length(mu_range)
            mu = mu_range(mi);
            
            if mu > 0
                eps=startI;
                for m=2:mmax
                    if mu == Inf
                        M = SIS(N,beta/(N-1),g,eps,[0 N]);
                        ii=(0:N)';
                    else
                        [M,ss,ii] = SIRS(N,beta/(N-1),g,mu,eps,[0 N],[0 N]);
                    end
                    [Vv D] = eig(full(M),'nobalance');
                    [val,ind] = min(abs(diag(D)));
                    V = Vv(:,ind);
                    mI=sum(V.*ii)/(N*sum(V));
                    if (mI < (eps/alpha))
                        eps = eps - 0.5^ m;
                    elseif (mI >= (eps/alpha))
                        eps = eps + 0.5^m;
                    else
                        display('Failure in mean')
                    end
                end
                Istar(ni,bi,mi) = eps/alpha;
            end
            
        end
    end
end

figure(3)
clf
for mi=1:length(mu_range)
    subplot(2,ceil(0.5*length(mu_range)),mi)
    hold on
    for ni=1:length(Nrange)
        i=Nrange(ni);
        for bi=1:length(beta_range)
            j=bi;
            patch([i-0.4 i+0.4 i+0.4 i-0.4 i-0.4],[bi bi bi+1 bi+1 bi]-0.5,Istar(ni,bi,mi));
        end
    end
    hold off
    set(gca,'XTick',Nrange,'YTick',1:length(beta_range),'YTickLabel',beta_range,'FontSize',12);%,beta_range,'FontSize',12);
    xlim([min(Nrange)-1, max(Nrange)+1])
    ylim([0, length(beta_range)+1])
    if mu_range(mi) == 0
        title('\mu = 0 (SIR)')
        caxis([0 1])
    elseif mu_range(mi) == Inf
        title('\mu = \infty (SIS)')
    else
        title(['\mu = ' num2str(mu_range(mi))])
    end
    xlabel('N')
    ylabel('\beta')
    colorbar
end
