% Script to integrate the full system - plots simple infected curve rather
% than complex figure in main paper

clear

params.beta = 6;
params.N = 10;
params.g = 1;
params.mu = 0.5;
params.alpha = 1;
tmax = 20;
i0 = 1e-9;

[M,ss,ii] = SIRS(params.N,params.beta/(params.N-1),params.g,params.mu,0,[0 params.N],[0 params.N]);
params.ii = ii;
pinit = zeros(length(ii),1);
pinit(ii==1 & ss==(params.N-1))=i0*params.N;
pinit(ii==0 & ss==params.N)=1-i0*params.N;

[T P] = ode45(@(t,p) Qdiff(t,p,params), [0 tmax], pinit);

figure(5)
clf
plot(T, P*ii/params.N)
xlabel('Time')
ylabel('Proportion of population infectious')
