% Script to produce main paper offspring distribution plot

clear

beta = 6;
N = 10;
g = 1;
alpha = 1;
mmax=40;

figure(4)
clf
hold on

murange = [0 0.2 0.5 1];
markers = {'o','+','x','diamond','*'};
cm = lines(length(murange));

for mi = 1:length(murange);
    mu = murange(mi);
    
    [M,ss,ii] = SIRS(N,beta/(N-1),g,mu,0,[0 N],[0 N]);
    
    Cind = find(ii>0);
    Iind = find(Cind==find(ii==1 & ss==(N-1)));
    Q = full(M)';
    f=ii(Cind);
    Qf = (Q(Cind,Cind)-alpha*diag(f));
    v=-g*(f==1);
    z(:,1) = Qf\v;
    y(:,1) = z(:,1);
    for m=2:(mmax+1)
        z(:,m) = (Qf)\((m-1)*(alpha*f).*z(:,m-1));
        y(:,m) = z(:,m)*(((-1)^(m-1))/factorial(m-1));
    end
    h(mi) = plot(0:mmax,y(Iind,:),...
        'Color','k',...
        'DisplayName',['\mu = ' num2str(mu)],...
        'Marker',markers{mi},...
        'LineWidth',1);
end
legend(h)
xlim([-1 mmax+1])
ylim([0 max(y(Iind,:))])
box on
xlabel('Number of further households infected')
ylabel('Probability')
title(['\beta = ' num2str(beta) '; N = ' num2str(N) '; \alpha = ' num2str(alpha)])

